Loading...
Searching...
No Matches
gx_engine::Drumout Class Reference

`#include <gx_internal_plugins.h>`

## Public Member Functions

| Drumout ()

## Static Public Member Functions

static void | set_plugin (Plugin p)
static void | set_data (float *mode, bool ready, float *buf)

## Static Public Attributes

static Plugin | output_drum
static PluginDef | outputdrum

## Static Private Member Functions

static void | outputdrum_compute (int count, float *input0, float *input1, float *output0, float *output1, PluginDef *)

## Static Private Attributes

static float * | set
static bool | mb
static float * | data
static Plugin | input_drum

## Detailed Description

Definition at line 1080 of file gx_internal_plugins.h.

## Constructor & Destructor Documentation

## Drumout()

gx_engine::Drumout::Drumout | ( |  | ) |

## Member Function Documentation

## outputdrum_compute()

void gx_engine::Drumout::outputdrum_compute | ( | int | count,
|  | float * | input0,
|  | float * | input1,
|  | float * | output0,
|  | float * | output1,
|  | PluginDef * | )

static private

## set_data()

void gx_engine::Drumout::set_data | ( | float * | mode,
|  | bool | ready,
|  | float * | buf )

static

## set_plugin()

void gx_engine::Drumout::set_plugin | ( | Plugin | p | ) |

static

## Member Data Documentation

## data

float* gx_engine::Drumout::data

static private

Definition at line 1084 of file gx_internal_plugins.h.

## input_drum

Plugin gx_engine::Drumout::input_drum

static private

Definition at line 1085 of file gx_internal_plugins.h.

## mb

bool gx_engine::Drumout::mb

static private

Definition at line 1083 of file gx_internal_plugins.h.

## output_drum

Plugin gx_engine::Drumout::output_drum

static

Definition at line 1090 of file gx_internal_plugins.h.

## outputdrum

PluginDef gx_engine::Drumout::outputdrum

static

Definition at line 1091 of file gx_internal_plugins.h.

## set

float* gx_engine::Drumout::set

static private

Definition at line 1082 of file gx_internal_plugins.h.

The documentation for this class was generated from the following file:

- src/headers/gx_internal_plugins.h